package de.ozgcloud.nachrichten.antragraum;

import de.ozgcloud.nachrichten.postfach.PostfachNachrichtTestFactory;

public class GrpcRueckfrageTestFactory {

	private final static boolean ACCESSIBLE = true;

	public static GrpcRueckfrage create() {
		return createBuilder().build();
	}

	public static GrpcRueckfrage.Builder createBuilder() {
		return GrpcRueckfrage.newBuilder()
				.setId(PostfachNachrichtTestFactory.ID)
				.setText(PostfachNachrichtTestFactory.MAIL_BODY)
				.setSentAt(PostfachNachrichtTestFactory.SENT_AT_STR)
				.addAllAttachmentFileId(PostfachNachrichtTestFactory.ATTACHMENTS)
				.setAccessible(ACCESSIBLE);

	}
}
